---
title: Allow MFA Bypass for User
description: This example uses the bypassMFA endpoint to define a period during which the specified user can bypass MFA:
component: pingone-api
page_id: pingone-api:mfa:users/users-1/allow_mfa_bypass
canonical_url: https://developer.pingidentity.com/pingone-api/mfa/users/users-1/allow_mfa_bypass.html
section_ids:
  headers: Headers
  body: Body
  example-request: Example Request
  example-response: Example Response
---

# Allow MFA Bypass for User

##

```none
PUT {{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/bypassMFA
```

This example uses the `bypassMFA` endpoint to define a period during which the specified user can bypass MFA:

`PUT {{apiPathTest}}/environments/{{envID}}/users/{{userID}}/bypassMFA`

The request takes a single parameter, `bypassMFAEnabledUntil`, which is used to set the date and time at which the bypass period is to end. The date format used in the example is the only date format that can be used.

Note that the response includes both a boolean field that indicates whether MFA can currently be bypassed and the end date for the bypass period.

> **Collapse: Request Model**
>
> | Property                | Type | Required? |
> | ----------------------- | ---- | --------- |
> | `bypassMFAEnabledUntil` | Date | Required  |
>
> Refer to the [User operations](/pingone/platform/v1/api/#user-operations) data model for full property descriptions.

### Headers

Authorization      Bearer {{accessToken}}

Content-Type      application/json

### Body

raw ( application/json )

```json
{
    "bypassMFAEnabledUntil": "2025-11-30T00:00:00.000Z"
}
```

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff --request PUT '{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/bypassMFA' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{accessToken}}' \
--data '{
    "bypassMFAEnabledUntil": "2025-11-30T00:00:00.000Z"
}'
```

```csharp
var options = new RestClientOptions("{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/bypassMFA")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Put);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Authorization", "Bearer {{accessToken}}");
var body = @"{" + "\n" +
@"    ""bypassMFAEnabledUntil"": ""2025-11-30T00:00:00.000Z""" + "\n" +
@"}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/bypassMFA"
  method := "PUT"

  payload := strings.NewReader(`{
    "bypassMFAEnabledUntil": "2025-11-30T00:00:00.000Z"
}`)

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Content-Type", "application/json")
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
PUT /v1/environments/{{envID}}/users/{{userID}}/bypassMFA HTTP/1.1
Host: {{apiPath}}
Content-Type: application/json
Authorization: Bearer {{accessToken}}

{
    "bypassMFAEnabledUntil": "2025-11-30T00:00:00.000Z"
}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n    \"bypassMFAEnabledUntil\": \"2025-11-30T00:00:00.000Z\"\n}");
Request request = new Request.Builder()
  .url("{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/bypassMFA")
  .method("PUT", body)
  .addHeader("Content-Type", "application/json")
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/bypassMFA",
  "method": "PUT",
  "timeout": 0,
  "headers": {
    "Content-Type": "application/json",
    "Authorization": "Bearer {{accessToken}}"
  },
  "data": JSON.stringify({
    "bypassMFAEnabledUntil": "2025-11-30T00:00:00.000Z"
  }),
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'PUT',
  'url': '{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/bypassMFA',
  'headers': {
    'Content-Type': 'application/json',
    'Authorization': 'Bearer {{accessToken}}'
  },
  body: JSON.stringify({
    "bypassMFAEnabledUntil": "2025-11-30T00:00:00.000Z"
  })

};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests
import json

url = "{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/bypassMFA"

payload = json.dumps({
  "bypassMFAEnabledUntil": "2025-11-30T00:00:00.000Z"
})
headers = {
  'Content-Type': 'application/json',
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("PUT", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/bypassMFA');
$request->setMethod(HTTP_Request2::METHOD_PUT);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Content-Type' => 'application/json',
  'Authorization' => 'Bearer {{accessToken}}'
));
$request->setBody('{\n    "bypassMFAEnabledUntil": "2025-11-30T00:00:00.000Z"\n}');
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "json"
require "net/http"

url = URI("{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/bypassMFA")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Put.new(url)
request["Content-Type"] = "application/json"
request["Authorization"] = "Bearer {{accessToken}}"
request.body = JSON.dump({
  "bypassMFAEnabledUntil": "2025-11-30T00:00:00.000Z"
})

response = http.request(request)
puts response.read_body
```

```swift
let parameters = "{\n    \"bypassMFAEnabledUntil\": \"2025-11-30T00:00:00.000Z\"\n}"
let postData = parameters.data(using: .utf8)

var request = URLRequest(url: URL(string: "{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/bypassMFA")!,timeoutInterval: Double.infinity)
request.addValue("application/json", forHTTPHeaderField: "Content-Type")
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "PUT"
request.httpBody = postData

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

200 OK

```json
{
    "_links": {
        "self": {
            "href": "https://api.test-one-pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/7e94b96e-0364-463b-a059-d97d1e4cb1d5/bypassMFA"
        },
        "user": {
            "href": "https://api.test-one-pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/7e94b96e-0364-463b-a059-d97d1e4cb1d5"
        }
    },
    "bypassMFAEnabledUntil": "2025-11-26T00:00:00.000Z",
    "canBypassMFA": true
}
```
